Securities
India Security
Call GET /india/securities/{isin} on the Corpus API.
GET /india/securities/{isin}
Call GET /india/securities/{isin} on the Corpus API.
Category: India · Securities
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: india:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| isin | path | yes | string | — | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/india/securities/INE002A01018' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | SecurityResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"security": {
"isin": "INE002A01018",
"company_name": "string",
"nse_symbol": "RELIANCE",
"bse_code": "500325",
"is_active": true
}
}